import { convertRGBColorByPixel, convertRGBColorByPlane, convertYBRFullByPixel, convertYBRFullByPlane, convertPALETTECOLOR } from './colorSpaceConverters/index';
import { default as wadouri } from './wadouri/index';
import { default as wadors } from './wadors/index';
import { default as init } from '../init';
import { default as convertColorSpace } from './convertColorSpace';
import { default as createImage } from './createImage';
import { default as decodeJPEGBaseline8BitColor } from './decodeJPEGBaseline8BitColor';
import { default as getImageFrame } from './getImageFrame';
import { default as getMinMax } from '../shared/getMinMax';
import { default as isColorImage } from '../shared/isColorImage';
import { default as isJPEGBaseline8BitColor } from './isJPEGBaseline8BitColor';
import { default as getPixelData } from './wadors/getPixelData';
import { default as getScalingParameters } from './getScalingParameters';
import { default as isColorConversionRequired } from './isColorConversionRequired';
import { default as removeAFromRGBA } from './removeAFromRGBA';
import { default as isModalityLUTForDisplay } from './isModalityLutForDisplay';
import { default as setPixelDataType } from './setPixelDataType';
import { internal } from './internal/index';
declare const cornerstoneDICOMImageLoader: {
    convertRGBColorByPixel: typeof convertRGBColorByPixel;
    convertRGBColorByPlane: typeof convertRGBColorByPlane;
    convertYBRFullByPixel: typeof convertYBRFullByPixel;
    convertYBRFullByPlane: typeof convertYBRFullByPlane;
    convertPALETTECOLOR: typeof convertPALETTECOLOR;
    wadouri: {
        metaData: {
            getImagePixelModule: typeof import("./wadouri/metaData").getImagePixelModule;
            getLUTs: typeof import("./wadouri/metaData").getLUTs;
            getModalityLUTOutputPixelRepresentation: typeof import("./wadouri/metaData").getModalityLUTOutputPixelRepresentation;
            getNumberValues: typeof import("./wadouri/metaData").getNumberValues;
            metaDataProvider: typeof import("./wadouri/metaData").metaDataProvider;
            metadataForDataset: typeof import("./wadouri/metaData").metadataForDataset;
        };
        dataSetCacheManager: {
            isLoaded: (uri: string) => boolean;
            load: (uri: string, loadRequest: import("../types").LoadRequestFunction, imageId: string) => import("./wadouri/dataSetCacheManager").CornerstoneWadoLoaderCachedPromise;
            unload: (uri: string) => void;
            getInfo: typeof import("./wadouri/dataSetCacheManager").getInfo;
            purge: () => void;
            get: (uri: string) => import("dicom-parser").DataSet;
            update: (uri: string, dataSet: import("dicom-parser").DataSet) => void;
        };
        fileManager: {
            add: (file: Blob) => string;
            get: (index: number) => Blob;
            remove: (index: number) => void;
            purge: () => void;
        };
        getEncapsulatedImageFrame: typeof import("./wadouri/getEncapsulatedImageFrame").default;
        getUncompressedImageFrame: typeof import("./wadouri/getUncompressedImageFrame").default;
        loadFileRequest: typeof import("./wadouri/loadFileRequest").default;
        loadImageFromPromise: typeof import("./wadouri/loadImage").loadImageFromPromise;
        getLoaderForScheme: typeof import("./wadouri/loadImage").getLoaderForScheme;
        getPixelData: typeof import("./wadouri/getPixelData").default;
        loadImage: typeof import("./wadouri/loadImage").loadImage;
        parseImageId: typeof import("./wadouri/parseImageId").default;
        unpackBinaryFrame: typeof import("./wadouri/unpackBinaryFrame").default;
        register: typeof import("./wadouri/register").default;
    };
    wadors: {
        metaData: {
            getNumberString: typeof import("./wadors/metaData").getNumberString;
            getNumberValue: typeof import("./wadors/metaData").getNumberValue;
            getNumberValues: typeof import("./wadors/metaData").getNumberValues;
            getValue: typeof import("./wadors/metaData").getValue;
            metaDataProvider: typeof import("./wadors/metaData").metaDataProvider;
        };
        findIndexOfString: typeof import("./wadors/findIndexOfString").default;
        getPixelData: typeof getPixelData;
        loadImage: typeof import("./wadors/loadImage").default;
        metaDataManager: {
            add: (imageId: string, metadata: import("../types").WADORSMetaData) => void;
            get: (imageId: string) => import("../types").WADORSMetaData;
            remove: (imageId: any) => void;
            purge: () => void;
        };
        register: typeof import("./wadors/register").default;
    };
    init: typeof init;
    convertColorSpace: typeof convertColorSpace;
    createImage: typeof createImage;
    decodeJPEGBaseline8BitColor: typeof decodeJPEGBaseline8BitColor;
    getImageFrame: typeof getImageFrame;
    getPixelData: typeof getPixelData;
    getMinMax: typeof getMinMax;
    isColorImage: typeof isColorImage;
    isJPEGBaseline8BitColor: typeof isJPEGBaseline8BitColor;
    getScalingParameters: typeof getScalingParameters;
    isColorConversionRequired: typeof isColorConversionRequired;
    removeAFromRGBA: typeof removeAFromRGBA;
    isModalityLUTForDisplay: typeof isModalityLUTForDisplay;
    setPixelDataType: typeof setPixelDataType;
    internal: {
        xhrRequest: typeof import("./internal/xhrRequest").default;
        streamRequest: typeof import("./internal/streamRequest").default;
        setOptions: typeof import("./internal/options").setOptions;
        getOptions: typeof import("./internal/options").getOptions;
    };
};
export { convertRGBColorByPixel, convertRGBColorByPlane, convertYBRFullByPixel, convertYBRFullByPlane, convertPALETTECOLOR, wadouri, wadors, init, convertColorSpace, createImage, decodeJPEGBaseline8BitColor, getImageFrame, getPixelData, getMinMax, isColorImage, isJPEGBaseline8BitColor, internal, };
export default cornerstoneDICOMImageLoader;
