import { getImagePixelModule, getLUTs, getModalityLUTOutputPixelRepresentation, getNumberValues, metaDataProvider, metadataForDataset } from './metaData/index';
import dataSetCacheManager from './dataSetCacheManager';
import fileManager from './fileManager';
import getEncapsulatedImageFrame from './getEncapsulatedImageFrame';
import getUncompressedImageFrame from './getUncompressedImageFrame';
import loadFileRequest from './loadFileRequest';
import getPixelData from './getPixelData';
import { loadImageFromPromise, getLoaderForScheme, loadImage } from './loadImage';
import parseImageId from './parseImageId';
import unpackBinaryFrame from './unpackBinaryFrame';
import register from './register';
declare const metaData: {
    getImagePixelModule: typeof getImagePixelModule;
    getLUTs: typeof getLUTs;
    getModalityLUTOutputPixelRepresentation: typeof getModalityLUTOutputPixelRepresentation;
    getNumberValues: typeof getNumberValues;
    metaDataProvider: typeof metaDataProvider;
    metadataForDataset: typeof metadataForDataset;
};
declare const _default: {
    metaData: {
        getImagePixelModule: typeof getImagePixelModule;
        getLUTs: typeof getLUTs;
        getModalityLUTOutputPixelRepresentation: typeof getModalityLUTOutputPixelRepresentation;
        getNumberValues: typeof getNumberValues;
        metaDataProvider: typeof metaDataProvider;
        metadataForDataset: typeof metadataForDataset;
    };
    dataSetCacheManager: {
        isLoaded: (uri: string) => boolean;
        load: (uri: string, loadRequest: import("../../types").LoadRequestFunction, imageId: string) => import("./dataSetCacheManager").CornerstoneWadoLoaderCachedPromise;
        unload: (uri: string) => void;
        getInfo: typeof import("./dataSetCacheManager").getInfo;
        purge: () => void;
        get: (uri: string) => import("dicom-parser").DataSet;
        update: (uri: string, dataSet: import("dicom-parser").DataSet) => void;
    };
    fileManager: {
        add: (file: Blob) => string;
        get: (index: number) => Blob;
        remove: (index: number) => void;
        purge: () => void;
    };
    getEncapsulatedImageFrame: typeof getEncapsulatedImageFrame;
    getUncompressedImageFrame: typeof getUncompressedImageFrame;
    loadFileRequest: typeof loadFileRequest;
    loadImageFromPromise: typeof loadImageFromPromise;
    getLoaderForScheme: typeof getLoaderForScheme;
    getPixelData: typeof getPixelData;
    loadImage: typeof loadImage;
    parseImageId: typeof parseImageId;
    unpackBinaryFrame: typeof unpackBinaryFrame;
    register: typeof register;
};
export default _default;
export { metaData, dataSetCacheManager, fileManager, getEncapsulatedImageFrame, getUncompressedImageFrame, loadFileRequest, loadImageFromPromise, getLoaderForScheme, getPixelData, loadImage, parseImageId, unpackBinaryFrame, register, };
